/*\
 * Copyright © 2006 Klaus Rogall, Hamburg, Germany (klaus.rogall@web.de). All rights reserved.
 * _____________________________________________________________________________________________________________________
 * 
 * This class is "Open Source" as defined by the Open Source Initiative (OSI). You can redistribute it and/or modify it
 * under the terms of the BSD License.
\*/


/*\
 * Styles für Navigationselemente (Menüs, Kopf- und Fußzeile usw.).
\*/


/*\
 * Hyperlinks
\*/

a.navi:link, a.navi:visited, a.navi:active, a.navi:hover, a.navi:focus
{
    color: #215DC6;
}

a.navi:hover
{
    color: #428EFF;

    text-decoration: underline;
}


/*\
 * Allgemeine Block-Elemente
\*/

p.navi-top
{
    font-family: 'Tahoma', 'Arial', 'Helvetica', 'Sans-Serif' /* font.naviFamily */;
    font-size: 8pt /* font.naviSize */;
    
    padding: 2px 8px 2px 8px;
}

p.navi-head
{
    font-family: 'Tahoma', 'Arial', 'Helvetica', 'Sans-Serif' /* font.naviFamily */;
    font-size: 8pt /* font.naviSize */;
    
    padding: 0px;
}

p.navi
{
    font-family: 'Tahoma', 'Arial', 'Helvetica', 'Sans-Serif' /* font.naviFamily */;
    font-size: 8pt /* font.naviSize */;
    
    padding: 2px 0px 2px 0px;
}



/*\
 * Globales Layout (linke Navigation, Content, rechte Navigation)
\*/

img.navi
{
    vertical-align: top;
}

td.navi-left
{
    background-color: #6274DC;
    background-image: url('/images/navi/navi-blue.png');
    background-repeat: no-repeat;

    width: 220px;

    padding: 0px 15px 0px 15px;
}

td.navi-right
{
    background-color: #D6DFF7;

    width: 220px;

    padding: 0px 15px 0px 15px;
}

td.head
{
    background-color: #EFF3FF;

    width: 100%;
    height: 80px;

    /* padding: 16px 4px 0px 4px; */
    padding: 0px;
}

td.logo
{
    background-color: #D6DFF7;

    width: 100%;

    padding: 0px;
}

td.content
{
    width: 100%;

    padding: 4px;
}


/*\
 * Menüleiste
\*/

table.menu
{
    background-color: #D6DFF7;
    
    border-collapse: collapse;
    
}

table.menu td
{
    border-right-color: #EFF3FF;
    border-right-style: solid;
    border-right-width: 1px;
}

h1.menu
{
    margin: 6px 2px 0px 2px;
}


/*\
 * Navigation Typ 1 (Hauptnavigation)
\*/

a.navi-type1:link, a.navi-type1:visited, a.navi-type1:active, a.navi-type1:hover, a.navi-type1:focus
{
    color: #FFFFFF;
}

a.navi-type1:hover
{
    color: #428EFF;
}

table.navi-type1-head
{
    margin-top: 15px;
}

tr.navi-type1-head
{
    color: #FFFFFF;

    font-size: 8pt;
    font-weight: bold;

    height: 25px;

    cursor: pointer;
}

td.navi-type1-head-left
{
    padding: 0px 0px 0px 15px;

    background-image: url('/images/navi/type1-head-left.png');
    background-repeat: no-repeat;
    background-position: top left;
}

td.navi-type1-head-right
{
    padding: 3px 5px 0px 0px;

    background-image: url('/images/navi/type1-head-right.png');
    background-repeat: no-repeat;
    background-position: top right;
}

table.navi-type1-body
{
    border-width: 0px 1px 1px 1px;
    border-style: none solid solid solid;
    border-color: #FFFFFF;
}

td.navi-type1-body
{
    background-color: #EFF3FF;

    font-size: 8pt;

    padding: 8px 2px 8px 10px;

    height: 15px;
}


/*\
 * Navigation Typ 2 (Unternavigation)
\*/

a.navi-type2:link, a.navi-type2:visited, a.navi-type2:active, a.navi-type2:hover, a.navi-type2:focus
{
    color: #215DC6;
}

a.navi-type2:hover
{
    color: #428EFF;
}

table.navi-type2-head
{
    margin-top: 15px;
}

tr.navi-type2-head
{
    color: #215DC6;

    font-size: 8pt;
    font-weight: bold;

    height: 25px;

    cursor: pointer;
}

td.navi-type2-head-left
{
    padding: 0px 0px 0px 15px;

    background-image: url('/images/navi/type2-head-left.png');
    background-repeat: no-repeat;
    background-position: top left;
}

td.navi-type2-head-right
{
    padding: 3px 5px 0px 0px;

    background-image: url('/images/navi/type2-head-right.png');
    background-repeat: no-repeat;
    background-position: top right;
}

table.navi-type2-body
{
    border-width: 0px 1px 1px 1px;
    border-style: none solid solid solid;
    border-color: #FFFFFF;
}

td.navi-type2-body
{
    background-color: #D6DFF7;

    font-size: 8pt;

    padding: 8px 2px 8px 10px;

    height: 15px;
}


/*\
 * Navigation Typ 3 (Administration und Debugging)
\*/

a.navi-type3:link, a.navi-type3:visited, a.navi-type3:active, a.navi-type3:hover, a.navi-type3:focus
{
    color: #FFFFFF;
}

a.navi-type3:hover
{
    color: #EBC49B;
}

table.navi-type3-head
{
    margin-top: 15px;
}

tr.navi-type3-head
{
    color: #215DC6;

    font-size: 8pt;
    font-weight: bold;

    height: 25px;

    cursor: pointer;
}

td.navi-type3-head-left
{
    padding: 0px 0px 0px 15px;

    background-image: url('/images/navi/type3-head-left.png');
    background-repeat: no-repeat;
    background-position: top left;
}

td.navi-type3-head-right
{
    padding: 3px 5px 0px 0px;

    background-image: url('/images/navi/type3-head-right.png');
    background-repeat: no-repeat;
    background-position: top right;
}

table.navi-type3-body
{
    border-width: 0px 1px 1px 1px;
    border-style: none solid solid solid;
    border-color: #B94D05;
}

td.navi-type3-body
{
    background-color: #EBC49B;

    font-size: 8pt;

    padding: 8px 2px 8px 10px;

    height: 15px;
}
